Class: Aws::VerifiedPermissions::Types::CedarTagValue

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb

Overview

Note:

CedarTagValue is a union - when making an API calls you must set exactly one of the members.

The value of an entity's Cedar tag.

This data type is used as a member of the EntityItem structure that forms the body of the Entities request parameter for the IsAuthorized, BatchIsAuthorized, IsAuthorizedWithToken, and BatchIsAuthorizedWithToken operations.

Defined Under Namespace

Classes: Boolean, Datetime, Decimal, Duration, EntityIdentifier, Ipaddr, Long, Record, Set, String, Unknown

Constant Summary collapse

SENSITIVE =
[:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]

Instance Attribute Summary collapse

Instance Attribute Details

#booleanBoolean

A Cedar tag value of Boolean type.

Example: {"boolean": false}

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#datetimeString

A Cedar tag value of datetime type.

Example: {"datetime": "2025-11-04T11:35:00.000+0100"}

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#decimalString

A Cedar tag value of decimal type.

Example: {"decimal": "-2.0"}

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#durationString

A Cedar tag value of duration type.

Example: {"duration": "-1d12h"}

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#entity_identifierTypes::EntityIdentifier

A Cedar tag value of type EntityIdentifier.

Example: {"entityIdentifier": { "entityId": "alice", "entityType": "User"} }



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#ipaddrString

A Cedar tag value of ipaddr type.

Example: {"ip": "10.50.0.0/24"}

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#longInteger

A Cedar tag value of Long type.

Example: {"long": 0}

Returns:

  • (Integer)


770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#recordHash<String,Types::CedarTagValue>

A Cedar tag value of Record type.

Example: {"record": { "keyName": {} } }

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#setArray<Types::CedarTagValue>

A Cedar tag value of Set type.

Example: {"set": [ { "string": "abc" } ] }

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#stringString

A Cedar tag value of String type.

Example: {"string": "abc"}

Returns:



770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

class CedarTagValue < Struct.new(
  :boolean,
  :entity_identifier,
  :long,
  :string,
  :set,
  :record,
  :ipaddr,
  :decimal,
  :datetime,
  :duration,
  :unknown)
  SENSITIVE = [:boolean, :long, :string, :ipaddr, :decimal, :datetime, :duration]
  include Aws::Structure
  include Aws::Structure::Union

  class Boolean < CedarTagValue; end
  class EntityIdentifier < CedarTagValue; end
  class Long < CedarTagValue; end
  class String < CedarTagValue; end
  class Set < CedarTagValue; end
  class Record < CedarTagValue; end
  class Ipaddr < CedarTagValue; end
  class Decimal < CedarTagValue; end
  class Datetime < CedarTagValue; end
  class Duration < CedarTagValue; end
  class Unknown < CedarTagValue; end
end

#unknownObject

Returns the value of attribute unknown

Returns:

  • (Object)

    the current value of unknown



770
771
772
# File 'gems/aws-sdk-verifiedpermissions/lib/aws-sdk-verifiedpermissions/types.rb', line 770

def unknown
  @unknown
end